stages:
  - test
  - publish

test:
  stage: test
  image: registry.gitlab.com/mergetb/devops/builder/f36-cib
  before_script:
    - dnf install -y golang make
  script:
    # build the verifier and run it
    - make
    - ./verify.sh

pages:
  stage: publish
  image: alpine:latest
  before_script:
    - mkdir public
  script:
    - cp news/*.json alerts/*.json public
  artifacts:
    paths:
      # The folder that contains the files to be exposed at the Page URL
      - public
  rules:
    # This ensures that only pushes to the default branch will trigger
    # a pages deploy
    # - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH
